M_ActivityTouchingFishRank = {}

function M_ActivityTouchingFishRank:getData(key)
	if self.datas == nil then
		return nil
	end
	return self.datas[key]
end

function M_ActivityTouchingFishRank:init()
	self.datas = {}
	self.datas[1] = {ID = 1, StartRank = 1, EndRank = 1, ItemID = {290,1,94,1580}, ItemCount = {100,200000000,50,1}, ItemIDDouble = {290,1,94,1576}, ItemCountDouble = {100,200000000,50,1}}
	self.datas[2] = {ID = 2, StartRank = 2, EndRank = 2, ItemID = {290,1,94,1581}, ItemCount = {60,150000000,30,1}, ItemIDDouble = {290,1,94,1577}, ItemCountDouble = {60,150000000,30,1}}
	self.datas[3] = {ID = 3, StartRank = 3, EndRank = 3, ItemID = {290,1,94,1582}, ItemCount = {30,70000000,15,1}, ItemIDDouble = {290,1,94,1578}, ItemCountDouble = {30,70000000,15,1}}
	self.datas[4] = {ID = 4, StartRank = 4, EndRank = 5, ItemID = {290,1,94,41}, ItemCount = {10,30000000,5,2}, ItemIDDouble = {290,1,94,41}, ItemCountDouble = {10,30000000,5,2}}
	self.datas[5] = {ID = 5, StartRank = 6, EndRank = 10, ItemID = {290,1,94,41}, ItemCount = {5,10000000,1,1}, ItemIDDouble = {290,1,94,41}, ItemCountDouble = {5,10000000,1,1}}
	self.datas[6] = {ID = 6, StartRank = 11, EndRank = 20, ItemID = {290,1,17,8}, ItemCount = {3,5000000,3,10}, ItemIDDouble = {290,1,17,8}, ItemCountDouble = {3,5000000,3,10}}
	self.datas[7] = {ID = 7, StartRank = 21, EndRank = 50, ItemID = {290,1,17,8}, ItemCount = {2,3000000,2,5}, ItemIDDouble = {290,1,17,8}, ItemCountDouble = {2,3000000,2,5}}
	self.datas[8] = {ID = 8, StartRank = 51, EndRank = 100, ItemID = {290,1,17,8}, ItemCount = {1,1000000,1,1}, ItemIDDouble = {290,1,17,8}, ItemCountDouble = {1,1000000,1,1}}
end

M_ActivityTouchingFishRank:init()
